Last Comment Bug 270373 - Thunderbird needs smooth scrolling
: Thunderbird needs smooth scrolling
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: Thunderbird 16.0
Assigned To: Magnus Melin
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-17 04:27 PST by Gabriel Seah
Modified: 2012-06-15 13:14 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed fix (6.17 KB, patch)
2012-06-09 04:13 PDT, Magnus Melin
bwinton: review+
bwinton: ui‑review+
Details | Diff | Review
screenshot (76.67 KB, image/png)
2012-06-09 04:13 PDT, Magnus Melin
no flags Details

Description Gabriel Seah 2004-11-17 04:27:32 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0 StumbleUpon/1.999
Build Identifier: Thunderbird version 0.9 (20041103)

There should be an option to enable smooth scrolling in Thunderbird

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 Andrew Pattison 2005-03-14 12:47:40 PST
I agree - Thunderbird needs to have smooth scrolling:

1. Implemented.

2. A UI ported across from Firefox.
Comment 2 Gervase Markham [:gerv] 2005-09-27 01:49:45 PDT
This is an automated message, with ID "auto-resolve01".

This bug has had no comments for a long time. Statistically, we have found that
bug reports that have not been confirmed by a second user after three months are
highly unlikely to be the source of a fix to the code.

While your input is very important to us, our resources are limited and so we
are asking for your help in focussing our efforts. If you can still reproduce
this problem in the latest version of the product (see below for how to obtain a
copy) or, for feature requests, if it's not present in the latest version and
you still believe we should implement it, please visit the URL of this bug
(given at the top of this mail) and add a comment to that effect, giving more
reproduction information if you have it.

If it is not a problem any longer, you need take no action. If this bug is not
changed in any way in the next two weeks, it will be automatically resolved.
Thank you for your help in this matter.

The latest beta releases can be obtained from:
Firefox:     http://www.mozilla.org/projects/firefox/
Thunderbird: http://www.mozilla.org/products/thunderbird/releases/1.5beta1.html
Seamonkey:   http://www.mozilla.org/projects/seamonkey/
Comment 3 Gabriel Seah 2005-10-01 02:24:35 PDT
Thunderbird Branch 20050928: Still doesn't have smooth scrolling.
Comment 4 Nikolay Shopik 2008-07-10 07:05:41 PDT
version 3.0a2pre (2008071003)
general.smoothScroll - doesn't exist in config editor need to be ported
Comment 5 Jérôme Bouat 2009-09-16 04:21:46 PDT
The smooth scrolling feature has no user interface checkbox in preferences of Thunderbird 2.0.0.23. Even if not set by default, it would help a lot.
Comment 6 Magnus Melin 2012-06-09 04:13:07 PDT
Created attachment 631649 [details] [diff] [review]
proposed fix

Talk about low handing fruit. Didn't realize this existed until ff13 enabled it by default.

This patch also adds ui for autoscrolling (that thing middle-clicking the mouse wheel does), and indents the "info about telemetry" link properly.

Screenshot coming up.
Comment 7 Magnus Melin 2012-06-09 04:13:55 PDT
Created attachment 631650 [details]
screenshot
Comment 8 Magnus Melin 2012-06-09 04:16:27 PDT
For reference, bug 710372 is the smooth-scroll-by-default-tracking-bug for firefox.
Comment 9 Peter Lairo 2012-06-10 05:06:23 PDT
The lack of smooth scrolling has been a serious and noticeable deficiency for years --> flag=? for next releases.
Comment 10 Blake Winton (:bwinton) (:☕️) (PTO 'til London. Find me there for quick answers!) 2012-06-10 18:09:01 PDT
I'm pretty sure Thunderbird isn't part of the Kilimanjaro goals or Basecamp milestone, but thank you for thinking so highly of us.  :)

(Also, I'll be reviewing this on Monday, I hope, so it should land reasonably soon.)

Thanks,
Blake.
Comment 11 Blake Winton (:bwinton) (:☕️) (PTO 'til London. Find me there for quick answers!) 2012-06-11 12:25:40 PDT
Comment on attachment 631649 [details] [diff] [review]
proposed fix

>diff --git a/mail/components/preferences/advanced.xul b/mail/components/preferences/advanced.xul
>--- a/mail/components/preferences/advanced.xul
>@@ -139,16 +147,30 @@
>+          <!-- Browsing -->
>+          <groupbox id="browsingGroup">
>+            <caption label="&browsing.label;"/>
>+
>+            <checkbox id="useAutoScroll"
>+                      label="&useAutoScroll.label;"
>+                      accesskey="&useAutoScroll.accesskey;"
>+                      preference="general.autoScroll"/>
>+            <checkbox id="useSmoothScrolling"
>+                      label="&useSmoothScrolling.label;"
>+                      accesskey="&useSmoothScrolling.accesskey;"
>+                      preference="general.smoothScroll"/>
>+          </groupbox>

Do these prefs only apply to Browsing?  (I'm compiling on my Windows box, so that I can see what they actually do, cause it's hard to tell on the Mac's trackpad…)

Other than that, it looks good to me.  r=me, ui-r=me.

Thanks,
Blake.
Comment 12 Blake Winton (:bwinton) (:☕️) (PTO 'til London. Find me there for quick answers!) 2012-06-11 14:00:08 PDT
Right, so the smooth scrolling also happens for email messages, the start page, the chat tab, etc...  So I think we should maybe call the groupbox "Scrolling", or something, but ui-r=me with that change.

Thanks again,
Blake.
Comment 13 Magnus Melin 2012-06-15 13:14:52 PDT
http://hg.mozilla.org/comm-central/rev/397a74ee1e00 ->FIXED

Note You need to log in before you can comment on or make changes to this bug.